/**
 * 
 * Support classes useful for encoding and supporting X9.62 elliptic curve.
 */
package org.bouncycastle.asn1.x9;


public interface X9ObjectIdentifiers {

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ansi_X9_62;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_fieldType;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime_field;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier characteristic_two_field;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier gnBasis;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier tpBasis;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ppBasis;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ecSigType;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ecdsa_with_SHA1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_publicKeyType;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ecPublicKey;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ecdsa_with_SHA2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ecdsa_with_SHA224;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ecdsa_with_SHA256;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ecdsa_with_SHA384;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ecdsa_with_SHA512;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ellipticCurve;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier cTwoCurve;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb163v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb163v2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb163v3;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb176w1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb191v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb191v2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb191v3;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2onb191v4;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2onb191v5;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb208w1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb239v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb239v2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb239v3;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2onb239v4;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2onb239v5;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb272w1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb304w1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb359v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2pnb368w1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier c2tnb431r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier primeCurve;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime192v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime192v2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime192v3;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime239v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime239v2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime239v3;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier prime256v1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_dsa;

	/**
	 *  id-dsa-with-sha1 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) x9-57
	 *  (10040) x9cm(4) 3 }
	 */
	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_dsa_with_sha1;

	/**
	 *  X9.63
	 */
	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier x9_63_scheme;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhSinglePass_stdDH_sha1kdf_scheme;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhSinglePass_cofactorDH_sha1kdf_scheme;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier mqvSinglePass_sha1kdf_scheme;

	/**
	 *  X9.42
	 */
	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ansi_X9_42;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhpublicnumber;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier x9_42_schemes;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhStatic;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhEphem;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhOneFlow;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhHybrid1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhHybrid2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhHybridOneFlow;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier mqv2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier mqv1;
}
